clear();

z=300;
u  = 0.2*ones(z,1);
t  = linspace(0,3,z);


s = poly(0,"s");
pa=0.0246580;
pb=7.9769475;
pc=280.08032;
G = syslin('c',[1],[pa*s*s+pb*s+pc]);
u = 300*ones(z,1);

y   = csim(u',t',G);
//plot(t,y(1,:),t,om);


disp("Mit zusätzlichem Integrator um Übertragungsfunktion für Winkel zu bekommen:");

GI = syslin('c',[1],[pa*s*s*s+pb*s*s+pc*s]);
yi = csim(u',t',GI);

//plot(t,yi(1,:),'re',t,phi,'gre',m1(:,1),-m1(:,2)+0.12,'blu');

rp=1200.0;
ri=16.0;

//R=rp+ri/s=(rp*s+ri)/s

R = syslin('c',[rp*s+ri],[s]);

H = R*GI;
Q = H/(1+H);

z=300;
u  = 0.2*ones(z,1);
t  = linspace(0,3,z);
yq = csim(u',t',Q);

plot(t,yq);






